var exec = require('child_process').exec;

module.exports = (lib) => {
  lib.trigger.add({
    name: 'restart',
    call: /^\!restart$/,
    level: 100,
    active: 0,
    func: (e) => {
      exec('sudo systemctl restart f0ck', (error, stdout) => {
        if(error === null)
          e.reply('brb.');
      });
    },
    desc: 'restart f0ck'
  });
};